be.ehealth.technicalconnector.exception

## Enum SessionManagementExceptionValues

- java.lang.Object
- - java.lang.Enum<SessionManagementExceptionValues>
  - - be.ehealth.technicalconnector.exception.SessionManagementExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<SessionManagementExceptionValues>

      public enum SessionManagementExceptionValues
      extends Enum<SessionManagementExceptionValues>

  Enumerator for possible Session Management exceptions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_GENERAL` General Error: {0}.
    `ERROR_NOSESSION` No active session found.
    `ERROR_NOTOKEN` No SAML token found.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static SessionManagementExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SessionManagementExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR_GENERAL

          public static final SessionManagementExceptionValues ERROR_GENERAL

      General Error: {0}.

    - #### ERROR_NOSESSION

          public static final SessionManagementExceptionValues ERROR_NOSESSION

      No active session found.

    - #### ERROR_NOTOKEN

          public static final SessionManagementExceptionValues ERROR_NOTOKEN

      No SAML token found.

  - ### Method Detail

    - #### values

          public static SessionManagementExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SessionManagementExceptionValues c : SessionManagementExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SessionManagementExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the error code

    - #### getMessage

          public String getMessage()

      Returns:
        the message

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.